%global namedreltag -alpha-4
%global namedversion %{version}%{?namedreltag}
Name:          apt-maven-plugin
Version:       1.0
Release:       %mkrel 1.a5
Summary:       Apt Maven Plugin
Group:         Development/Java
License:       MIT
Url:           http://mojo.codehaus.org/apt-maven-plugin/
Source0:       http://repo2.maven.org/maven2/org/codehaus/mojo/%{name}/%{namedversion}/%{name}-%{namedversion}-source-release.zip

Patch0:        apt-maven-plugin-1.0-alpha-4-pom.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-docck-plugin
BuildRequires: maven-doxia
BuildRequires: maven-install-plugin
BuildRequires: maven-invoker-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-shared-verifier
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-enforcer-plugin

BuildRequires: forge-parent

BuildRequires: objectweb-asm
BuildRequires: plexus-compiler
BuildRequires: plexus-utils

Requires:      maven
Requires:      maven-shared-verifier
Requires:      objectweb-asm
Requires:      plexus-compiler
Requires:      plexus-utils

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Maven Plugin for Annotation Processing Tool (apt).

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

find \( -name '*.jar' -o -name '*.class' \) -exec rm -f '{}' \;

iconv -f iso8859-1 -t utf-8 LICENSE.txt > LICENSE.txt.conv && mv -f LICENSE.txt.conv LICENSE.txt
sed -i 's/\r//' LICENSE.txt

%patch0 -p0

%build

# require com.sun.mirror.apt 
mvn-rpmbuild -Dskip-it=false install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.0-1.a5.mga3
+ Revision: 345978
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 20 2012 gil <gil> 1.0-1.a4.mga3
+ Revision: 262158
- imported package apt-maven-plugin

